Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Interface Callback

All Known Implementing Classes:
  JhoveWindow

    public interface Callback

An interface for supporting a general, simple callback function.

Method Summary
`int` | `callback(int selector, java.lang.Object parm)` A generic callback function.

Method Detail

### callback

    int callback(int selector,
                 java.lang.Object parm)

  A generic callback function. Any class which needs to support callback can implement callback and pass a reference to itself to the function that does the callback.

  Parameters:
    `selector` - An indicator of the function to be performed. Interpretation is determined by the implementing class.
    `parm` - Whatever data may be appropriate to the callback.
  Returns:
    As specified by the implementing class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD